# eric6.Plugins.PluginPipInterface

Module implementing the pip interface plug-in.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
needsRestart
packageName
pipPluginObject
pyqtApi
python2Compatible
shortDescription
version

### Classes

PipInterfacePlugin | Class implementing the pip interface plug-in.

### Functions

createPipPage | Module function to create the pip configuration page.
exeDisplayDataList | Module function to support the display of some executable info.
getConfigData | Module function returning data as required by the configuration dialog.
prepareUninstall | Module function to prepare for an un-installation.

## PipInterfacePlugin

Class implementing the pip interface plug-in.

### Signals

currentEnvironmentChanged(str)
  emitted to signal a change of the currently selected virtual environment

### Derived from

QObject

### Class Attributes

PreferencesKey

### Class Methods

None

### Methods

PipInterfacePlugin | Constructor
__initialize | Private slot to (re)initialize the plugin.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.
getMenu | Public method to get a reference to the requested menu.
getMenuNames | Public method to get the names of all menus.
getPreferences | Public method to retrieve the various pip related settings.
setPreferences | Public method to store the various pip related settings.

### Static Methods

None

#### PipInterfacePlugin (Constructor)

PipInterfacePlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### PipInterfacePlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### PipInterfacePlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status

Return Type:
  tuple of (None, bool)

#### PipInterfacePlugin.deactivate

deactivate()

Public method to deactivate this plugin.

#### PipInterfacePlugin.getMenu

getMenu(name)

Public method to get a reference to the requested menu.

name (str)
  name of the menu

Returns:
  reference to the menu or None, if no menu with the given name exists

Return Type:
  QMenu or None

#### PipInterfacePlugin.getMenuNames

getMenuNames()

Public method to get the names of all menus.

Returns:
  menu names

Return Type:
  list of str

#### PipInterfacePlugin.getPreferences

getPreferences(key)

Public method to retrieve the various pip related settings.

key (str)
  the key of the value to get

Returns:
  the requested setting

Return Type:
  any

#### PipInterfacePlugin.setPreferences

setPreferences(key, value)

Public method to store the various pip related settings.

key (str)
  the key of the setting to be set
value (any)
  the value to be set

Up

## createPipPage

createPipPage(configDlg)

Module function to create the pip configuration page.

configDlg
  reference to the configuration dialog

Returns:
  reference to the configuration page

Up

## exeDisplayDataList

exeDisplayDataList()

Module function to support the display of some executable info.

Returns:
  list of dictionaries containing the data to query the presence of the executable

Up

## getConfigData

getConfigData()

Module function returning data as required by the configuration dialog.

Returns:
  dictionary containing the relevant data

Up

## prepareUninstall

prepareUninstall()

Module function to prepare for an un-installation.

Up